com.h3c.api

## Enum Result.CompletionState

- java.lang.Object
- - java.lang.Enum<Result.CompletionState>
  - - com.h3c.api.Result.CompletionState

- All Implemented Interfaces:
    Serializable, Comparable<Result.CompletionState>
  Enclosing class:
    Result<D,E,C>

      public static enum Result.CompletionState
      extends Enum<Result.CompletionState>

  Completion State.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED` Non executed: Interrupted, cancelled, aborted, etc.
    `FAILURE` Failure
    `SUCCESS` Success

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Result.CompletionState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Result.CompletionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final Result.CompletionState SUCCESS

      Success

    - #### FAILURE

          public static final Result.CompletionState FAILURE

      Failure

    - #### CANCELLED

          public static final Result.CompletionState CANCELLED

      Non executed: Interrupted, cancelled, aborted, etc.

  - ### Method Detail

    - #### values

          public static Result.CompletionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Result.CompletionState c : Result.CompletionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Result.CompletionState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.